# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes

# vl::FBOTexture2DAttachment Class Reference

A 2D texture renderbuffer to be attached to a FramebufferObject (wraps `glFramebufferTexture2D()`). More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOTexture2DAttachment:

List of all members.

## Public Member Functions

| FBOTexture2DAttachment ()
| Constructor.
| FBOTexture2DAttachment (Texture *texture, int mipmap_level, ETex2DTarget target)
| Constructor.
void | setTextureTarget (ETex2DTarget target)
| What type of texture is expected, or for cube map textures, which face is to be attached.
ETex2DTarget | textureTarget () const
| What type of texture is expected, or for cube map textures, which face is to be attached.

## Protected Member Functions

virtual void | bindAttachment (FramebufferObject *fbo, EAttachmentPoint attach_point)

## Protected Attributes

ETex2DTarget | mTextureTarget

## Detailed Description

A 2D texture renderbuffer to be attached to a FramebufferObject (wraps `glFramebufferTexture2D()`).

See also:
  http://www.opengl.org/sdk/docs/man3/xhtml/glFramebufferTexture.xml

Definition at line 372 of file FramebufferObject.hpp.

## Constructor & Destructor Documentation

vl::FBOTexture2DAttachment::FBOTexture2DAttachment | ( | ) | `[inline]`

Constructor.

Definition at line 378 of file FramebufferObject.hpp.

References vl::T2DT_TEXTURE_2D, and VL_DEBUG_SET_OBJECT_NAME.

vl::FBOTexture2DAttachment::FBOTexture2DAttachment | ( | Texture * | texture,
|  | int | mipmap_level,
|  | ETex2DTarget | target
| ) |  | `[inline]`

Constructor.

Definition at line 385 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

void vl::FBOTexture2DAttachment::setTextureTarget | ( | ETex2DTarget | target ) | `[inline]`

What type of texture is expected, or for cube map textures, which face is to be attached.

Definition at line 392 of file FramebufferObject.hpp.

ETex2DTarget vl::FBOTexture2DAttachment::textureTarget | ( | ) | const`[inline]`

What type of texture is expected, or for cube map textures, which face is to be attached.

Definition at line 395 of file FramebufferObject.hpp.

Referenced by bindAttachment().

void FBOTexture2DAttachment::bindAttachment | ( | FramebufferObject * | fbo,
|  | EAttachmentPoint | attach_point
| ) |  | `[protected, virtual]`

Implements vl::FBOAbstractAttachment.

Definition at line 381 of file FramebufferObject.cpp.

References vl::Log::bug(), vl::Texture::dimension(), vl::Has_FBO, vl::Texture::height(), vl::Framebuffer::height(), vl::FBOAbstractTextureAttachment::mipmapLevel(), vl::TD_TEXTURE_2D_MULTISAMPLE, vl::TD_TEXTURE_CUBE_MAP, vl::FBOAbstractTextureAttachment::texture(), textureTarget(), VL_CHECK, VL_CHECK_OGL, vl::Texture::width(), and vl::Framebuffer::width().

## Member Data Documentation

ETex2DTarget vl::FBOTexture2DAttachment::mTextureTarget`[protected]`

Definition at line 401 of file FramebufferObject.hpp.

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:37.
Permission is granted to use this page to write and publish articles regarding Visualization Library.